summaryrefslogtreecommitdiffstats
path: root/x11-wm/afterstep/scripts/configure
diff options
context:
space:
mode:
Diffstat (limited to 'x11-wm/afterstep/scripts/configure')
-rw-r--r--x11-wm/afterstep/scripts/configure13
1 files changed, 6 insertions, 7 deletions
diff --git a/x11-wm/afterstep/scripts/configure b/x11-wm/afterstep/scripts/configure
index a66835c..0b1ba89b 100644
--- a/x11-wm/afterstep/scripts/configure
+++ b/x11-wm/afterstep/scripts/configure
@@ -1,9 +1,8 @@
-#!/bin/sh
+#!/usr/bin/perl
+#
-cd $WRKSRC || exit 1
+eval '(exit $?0)' && eval 'exec /usr/bin/perl -S $0 ${1+"$@"}'
+& eval 'exec /usr/bin/perl -S $0 $argv:q'
+if 0;
-cp configure.h configure.h.orig
-cp sample.steprc sample.steprc.orig
-sed -e "s:@@PREFIX@@:$PREFIX:g" < configure.h.orig > configure.h
-sed -e "s:@@PREFIX@@:$PREFIX:g" < sample.steprc.orig > sample.steprc
-chmod u+x Installme
+system( "/usr/bin/perl -pi -e 's|%%PREFIX%%|$ENV{'PREFIX'}|g' $ENV{'WRKSRC'}/sample.steprc $ENV{'WRKSRC'}/configure.h" );
OpenPOWER on IntegriCloud